Evn
get
Authorizations
AuthorizationstringRequired
Path parameters
contractintegerRequiredPattern:
Contract number
[0-9]{5,10}Responses
200
Result data
application/json
evnCSVstring[]OptionalExample:
["contractId,VDCUUID,VDCName,ResourceType,ResourceUUID,IntervalMin,IntervalDivisor,From,To,ItemStub,Value,ValueDivisor,Additional Parameters","31805900,f2c2edf6-49f7-4687-8100-872b4d02ddcc,Main VDC,SERVER,504b4dff-56e3-49cd-89b1-dbed716c6265,44640,60,2020-01-01T00:00:00.000Z,2020-01-31T23:59:59.999Z,C01000,2,1,AMD_OPTERON"]401
Unauthorized
application/json
403
Forbidden
application/json
404
The contract not found or doesn't belong to the user
application/json
422
Wrong period format specified
application/json
500
Unexpected internal server error
application/json
get
/{contract}/evnget
Authorizations
AuthorizationstringRequired
Path parameters
contractintegerRequiredPattern:
Contract number
[0-9]{5,10}periodstringRequiredExample:
Period of interest in format YYYY-MM
2020-01Pattern: ^(\d{4}-\d{2}|null)$Responses
200
Result data
application/json
evnCSVstring[]OptionalExample:
["contractId,VDCUUID,VDCName,ResourceType,ResourceUUID,IntervalMin,IntervalDivisor,From,To,ItemStub,Value,ValueDivisor,Additional Parameters","31805900,f2c2edf6-49f7-4687-8100-872b4d02ddcc,Main VDC,SERVER,504b4dff-56e3-49cd-89b1-dbed716c6265,44640,60,2020-01-01T00:00:00.000Z,2020-01-31T23:59:59.999Z,C01000,2,1,AMD_OPTERON"]401
Unauthorized
application/json
403
Forbidden
application/json
404
The contract not found or doesn't belong to the user
application/json
422
Wrong period format specified
application/json
500
Unexpected internal server error
application/json
get
/{contract}/evn/{period}Last updated
Was this helpful?